Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.log
Class JooneLogger

    java.lang.Object
      org.joone.log.JooneLogger

All Implemented Interfaces:
  ILogger

    public class JooneLogger

extends java.lang.Object
implements ILogger

Internal logger. Use it instead of LogJ4, by declaring the property -Dorg.joone.logger="org.joone.log.JooneLogger"

Author:
  PMLMAPA

Field Summary
`protected java.lang.Class` | `pClass`

Constructor Summary
`JooneLogger()` Creates a new instance of JooneLogger

Method Summary
`void` | `debug(java.lang.Object obj)`
`void` | `debug(java.lang.Object obj, java.lang.Throwable thr)`
`void` | `error(java.lang.Object obj)`
`void` | `error(java.lang.Object obj, java.lang.Throwable thr)`
`void` | `fatal(java.lang.Object obj)`
`void` | `fatal(java.lang.Object obj, java.lang.Throwable thr)`
`protected java.lang.String` | `formatMsg(java.lang.String sev, java.lang.String msg)`
`void` | `info(java.lang.Object obj)`
`void` | `info(java.lang.Object obj, java.lang.Throwable thr)`
`void` | `setParentClass(java.lang.Class cls)`
`void` | `warn(java.lang.Object obj)`
`void` | `warn(java.lang.Object obj, java.lang.Throwable thr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pClass

    protected java.lang.Class pClass

Constructor Detail

### JooneLogger

    public JooneLogger()

  Creates a new instance of JooneLogger

Method Detail

### debug

    public void debug(java.lang.Object obj)

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.Object obj,
                      java.lang.Throwable thr)

  Specified by:
    `debug` in interface `ILogger`

### error

    public void error(java.lang.Object obj)

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.Object obj,
                      java.lang.Throwable thr)

  Specified by:
    `error` in interface `ILogger`

### fatal

    public void fatal(java.lang.Object obj)

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.Object obj,
                      java.lang.Throwable thr)

  Specified by:
    `fatal` in interface `ILogger`

### info

    public void info(java.lang.Object obj)

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.Object obj,
                     java.lang.Throwable thr)

  Specified by:
    `info` in interface `ILogger`

### warn

    public void warn(java.lang.Object obj)

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.Object obj,
                     java.lang.Throwable thr)

  Specified by:
    `warn` in interface `ILogger`

### setParentClass

    public void setParentClass(java.lang.Class cls)

  Specified by:
    `setParentClass` in interface `ILogger`

### formatMsg

    protected java.lang.String formatMsg(java.lang.String sev,
                                         java.lang.String msg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net